Last Comment Bug 697975 - [TABLET] First start animation is performed for the first startup if device is in portrait
: [TABLET] First start animation is performed for the first startup if device i...
Status: VERIFIED FIXED
:
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 9
Assigned To: Matt Brubeck (:mbrubeck)
:
Mentors:
Depends on:
Blocks: 655762
  Show dependency treegraph
 
Reported: 2011-10-28 06:58 PDT by Cristian Nicolae (:xti)
Modified: 2011-11-14 02:11 PST (History)
10 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1016 bytes, patch)
2011-10-28 09:28 PDT, Matt Brubeck (:mbrubeck)
mark.finkle: review+
lmandel: approval‑mozilla‑aurora+
Details | Diff | Review

Description Cristian Nicolae (:xti) 2011-10-28 06:58:52 PDT
Mozilla/5.0 (Android;Linux armv7l;rv:10.0a1)Gecko/20111027
Firefox/10.0a1 Fennec/10.0a1
Devices: Acer ICONIA A500
OS: Android 3.1

Steps to reproduce:
1. Switch device to portrait mode
2. Open Fennec App

Expected result:
After the app opens, the about:home page is steady.

Actual result:
After step 2, the first run animation is performed, even if the right and left sidebars are not available for the tablet UI.

Note:
Please see the following video: http://youtu.be/qxQ4FQLZlyg
Comment 1 Aaron Train [:aaronmt] 2011-10-28 07:15:49 PDT
There shouldn't be a first-run animation for tablets in the first place.
Comment 2 Matt Brubeck (:mbrubeck) 2011-10-28 09:28:21 PDT
Created attachment 570283 [details] [diff] [review]
patch

Ultra-simple one-line fix.

This bug only affected portrait, because the tab bar is showing by default in landscape tablet mode (which also causes Fennec to skip the animation).
Comment 4 Matt Brubeck (:mbrubeck) 2011-10-29 15:14:37 PDT
Comment on attachment 570283 [details] [diff] [review]
patch

Requesting approval for Aurora 9.  This fixes a new bug in update 9 that causes weird behavior during first-run for a small portion of users (tablet users who start Firefox in portrait orientation).  The fix is one-line, very simple, and mobile-only.  It adds an additional condition ("not on tablets") to existing code that decides whether to slide the browser back and forth during first-run.
Comment 5 Ed Morley [:emorley] 2011-10-30 10:34:44 PDT
https://hg.mozilla.org/mozilla-central/rev/0ec53cbc126a
Comment 6 Camelia Urian 2011-10-31 08:30:31 PDT
Mozilla/5.0 (Android;Linux armv7l;rv:10.0a1)Gecko/20111031
Firefox/10.0a1 Fennec/10.0a1
Devices: Samsung Galaxy Tab GT-P7510
OS: Android 3.1

Verified fixed on nightly build.
Comment 7 Matt Brubeck (:mbrubeck) 2011-11-01 18:39:45 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/fde58d9f3539
Comment 8 Catalin Suciu [:csuciu] 2011-11-14 02:11:33 PST
This is verified fixed on the latest Aurora build.
Mozilla/5.0 (Android;Linux armv7l;rv:10.0a2)Gecko/20111113 Firefox/10.0a2 Fennec/10.0a2
Device: Acer ICONIA A500
OS: Android 3.1

Note You need to log in before you can comment on or make changes to this bug.